# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
CC = @CC@
DVIPS = @DVIPS@
EIGHTBIT = @EIGHTBIT@
HOSTNAME = @HOSTNAME@
LATEX = @LATEX@
LEX = @LEX@
MAKEINFO = @MAKEINFO@
NOWRAP = @NOWRAP@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
TEXI2DVI = @TEXI2DVI@
VERSION = @VERSION@
YACC = @YACC@

man_MANS = cfengine.8
info_TEXINFOS = cfengine-Reference.texinfo cfengine-Tutorial.texinfo

# Info used in building and installing HTML files
htmldir = $(pkgdatadir)/html
htmlfiles = cfengine-Reference.html cfengine-Tutorial.html 
html_DATA = $(htmlfiles) cf-security.html

# Info used in building and installing Postscript files
ps1 = locks.ps paper1.ps paper2.ps
ps2 = cfengine-Tutorial.ps cfengine-Reference.ps

# When the Texi2DVI problem with cfengine-Reference is corrected, 
# then uncomment the reference to ps2
psfiles = $(ps1)	# $(ps2)

psdir = $(pkgdatadir)/doc
ps_DATA = $(psfiles)

# Make sure these get distributed with everything else.
EXTRA_DIST =  	texinfo.tex								cf-security.html							locks.latex								paper1.latex								paper2.latex


SUFFIXES = html latex

#
# Some basic clean ups
#
MOSTLYCLEANFILES = *~ *.orig

#
# Get everything removed down to where rebuilding requires:
# "make; make install"
# 
CLEANFILES = $(htmlfiles) $(psfiles)

#
# Get everything removed down to where rebuilding requires:
# "configure; make; make install"
#
DISTCLEANFILES = *.log *.aux *.mbs *.mb *.info*

#
# Get everything removed down to where rebuilding requires:
# "aclocal; autoconf; autoheader; automake --add-missing"
# "configure; make; make install"
#
MAINTAINERCLEANFILES = Makefile.in mdate-sh
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../src/conf.h
CONFIG_CLEAN_FILES =  cfengine.8
INFO_DEPS = cfengine-Reference.info cfengine-Tutorial.info
DVIS = cfengine-Reference.dvi cfengine-Tutorial.dvi
TEXINFOS = cfengine-Reference.texinfo cfengine-Tutorial.texinfo
man8dir = $(mandir)/man8
MANS = $(man_MANS)

NROFF = nroff
DATA =  $(html_DATA) $(ps_DATA)

DIST_COMMON =  Makefile.am Makefile.in cfengine.8.in mdate-sh stamp-vti \
stamp-vti1 texinfo.tex version1.texi version2.texi


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
.SUFFIXES: .dvi .info .ps .texi .texinfo .txi html latex
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps doc/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

cfengine.8: $(top_builddir)/config.status cfengine.8.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(srcdir)/version1.texi: stamp-vti
	@:

$(srcdir)/stamp-vti: cfengine-Reference.texinfo $(top_srcdir)/configure.in
	@echo "@set UPDATED `$(SHELL) $(srcdir)/mdate-sh $(srcdir)/cfengine-Reference.texinfo`" > vti.tmp
	@echo "@set EDITION $(VERSION)" >> vti.tmp
	@echo "@set VERSION $(VERSION)" >> vti.tmp
	@cmp -s vti.tmp $(srcdir)/version1.texi \
	  || (echo "Updating $(srcdir)/version1.texi"; \
	      cp vti.tmp $(srcdir)/version1.texi)
	-@rm -f vti.tmp
	@cp $(srcdir)/version1.texi $@

mostlyclean-vti:
	-rm -f vti.tmp

clean-vti:

distclean-vti:

maintainer-clean-vti:
	-rm -f $(srcdir)/stamp-vti $(srcdir)/version1.texi

cfengine-Reference.info: cfengine-Reference.texinfo version1.texi
cfengine-Reference.dvi: cfengine-Reference.texinfo version1.texi


$(srcdir)/version2.texi: stamp-vti1
	@:

$(srcdir)/stamp-vti1: cfengine-Tutorial.texinfo $(top_srcdir)/configure.in
	@echo "@set UPDATED `$(SHELL) $(srcdir)/mdate-sh $(srcdir)/cfengine-Tutorial.texinfo`" > vti1.tmp
	@echo "@set EDITION $(VERSION)" >> vti1.tmp
	@echo "@set VERSION $(VERSION)" >> vti1.tmp
	@cmp -s vti1.tmp $(srcdir)/version2.texi \
	  || (echo "Updating $(srcdir)/version2.texi"; \
	      cp vti1.tmp $(srcdir)/version2.texi)
	-@rm -f vti1.tmp
	@cp $(srcdir)/version2.texi $@

mostlyclean-vti1:
	-rm -f vti1.tmp

clean-vti1:

distclean-vti1:

maintainer-clean-vti1:
	-rm -f $(srcdir)/stamp-vti1 $(srcdir)/version2.texi

cfengine-Tutorial.info: cfengine-Tutorial.texinfo version2.texi
cfengine-Tutorial.dvi: cfengine-Tutorial.texinfo version2.texi


.texi.info:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texi.dvi:
	TEXINPUTS=.:$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

.texi:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo.info:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo.dvi:
	TEXINPUTS=.:$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

.txi.info:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.txi.dvi:
	TEXINPUTS=.:$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

.txi:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
.dvi.ps:
	$(DVIPS) $< -o $@

install-info-am: $(INFO_DEPS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(infodir)
	@list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  d=$(srcdir); \
	  for ifile in `cd $$d && echo $$file $$file-[0-9] $$file-[0-9][0-9]`; do \
	    if test -f $$d/$$ifile; then \
	      echo " $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile"; \
	      $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile; \
	    else : ; fi; \
	  done; \
	done
	@$(POST_INSTALL)
	@if $(SHELL) -c 'install-info --version | sed 1q | fgrep -s -v -i debian' >/dev/null 2>&1; then \
	  list='$(INFO_DEPS)'; \
	  for file in $$list; do \
	    echo " install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file";\
	    install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file || :;\
	  done; \
	else : ; fi

uninstall-info:
	$(PRE_UNINSTALL)
	@if $(SHELL) -c 'install-info --version | sed 1q | fgrep -s -v -i debian' >/dev/null 2>&1; then \
	  ii=yes; \
	else ii=; fi; \
	list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  test -z "$ii" \
	    || install-info --info-dir=$(DESTDIR)$(infodir) --remove $$file; \
	done
	@$(NORMAL_UNINSTALL)
	list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  (cd $(DESTDIR)$(infodir) && rm -f $$file $$file-[0-9] $$file-[0-9][0-9]); \
	done

dist-info: $(INFO_DEPS)
	list='$(INFO_DEPS)'; \
	for base in $$list; do \
	  d=$(srcdir); \
	  for file in `cd $$d && eval echo $$base*`; do \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file; \
	  done; \
	done

mostlyclean-aminfo:
	-rm -f cfengine-Reference.aux cfengine-Reference.cp \
	  cfengine-Reference.cps cfengine-Reference.dvi \
	  cfengine-Reference.fn cfengine-Reference.fns \
	  cfengine-Reference.ky cfengine-Reference.kys \
	  cfengine-Reference.ps cfengine-Reference.log \
	  cfengine-Reference.pg cfengine-Reference.toc \
	  cfengine-Reference.tp cfengine-Reference.tps \
	  cfengine-Reference.vr cfengine-Reference.vrs \
	  cfengine-Reference.op cfengine-Reference.tr \
	  cfengine-Reference.cv cfengine-Reference.cn \
	  cfengine-Tutorial.aux cfengine-Tutorial.cp \
	  cfengine-Tutorial.cps cfengine-Tutorial.dvi \
	  cfengine-Tutorial.fn cfengine-Tutorial.fns \
	  cfengine-Tutorial.ky cfengine-Tutorial.kys \
	  cfengine-Tutorial.ps cfengine-Tutorial.log \
	  cfengine-Tutorial.pg cfengine-Tutorial.toc \
	  cfengine-Tutorial.tp cfengine-Tutorial.tps \
	  cfengine-Tutorial.vr cfengine-Tutorial.vrs \
	  cfengine-Tutorial.op cfengine-Tutorial.tr \
	  cfengine-Tutorial.cv cfengine-Tutorial.cn

clean-aminfo:

distclean-aminfo:

maintainer-clean-aminfo:
	cd $(srcdir) && for i in $(INFO_DEPS); do \
	  rm -f $$i; \
	  if test "`echo $$i-[0-9]*`" != "$$i-[0-9]*"; then \
	    rm -f $$i-[0-9]*; \
	  fi; \
	done

install-man8:
	$(mkinstalldirs) $(DESTDIR)$(man8dir)
	@list='$(man8_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
	done

uninstall-man8:
	@list='$(man8_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man8dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man8
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man8

install-htmlDATA: $(html_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(htmldir)
	@list='$(html_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(htmldir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(htmldir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(htmldir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(htmldir)/$$p; \
	  fi; fi; \
	done

uninstall-htmlDATA:
	@$(NORMAL_UNINSTALL)
	list='$(html_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(htmldir)/$$p; \
	done

install-psDATA: $(ps_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(psdir)
	@list='$(ps_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(psdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(psdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(psdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(psdir)/$$p; \
	  fi; fi; \
	done

uninstall-psDATA:
	@$(NORMAL_UNINSTALL)
	list='$(ps_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(psdir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-info
info-am: $(INFO_DEPS)
info: info-am
dvi-am: $(DVIS)
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-info-am install-man install-htmlDATA \
		install-psDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-info uninstall-man uninstall-htmlDATA \
		uninstall-psDATA
uninstall: uninstall-am
all-am: Makefile $(INFO_DEPS) $(MANS) $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(infodir) $(DESTDIR)$(mandir)/man8 \
		$(DESTDIR)$(htmldir) $(DESTDIR)$(psdir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
mostlyclean-am:  mostlyclean-vti mostlyclean-vti1 mostlyclean-aminfo \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-vti clean-vti1 clean-aminfo clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-vti distclean-vti1 distclean-aminfo \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-vti maintainer-clean-vti1 \
		maintainer-clean-aminfo maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-vti distclean-vti clean-vti maintainer-clean-vti \
mostlyclean-vti1 distclean-vti1 clean-vti1 maintainer-clean-vti1 \
install-info-am uninstall-info mostlyclean-aminfo distclean-aminfo \
clean-aminfo maintainer-clean-aminfo install-man8 uninstall-man8 \
install-man uninstall-man uninstall-htmlDATA install-htmlDATA \
uninstall-psDATA install-psDATA tags distdir info-am info dvi-am dvi \
check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


%.html : %.texinfo
	${MAKEINFO} --html $<

%.dvi : %.latex
	${LATEX} $<

%.dvi : %.texinfo
	${TEXI2DVI} $<

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
